## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate prefixdevname

Name:           rust-prefixdevname
Version:        0.2.0
Release:        %autorelease
Summary:        Udev helper utility that provides network interface naming using user defined prefix

License:        MIT
URL:            https://crates.io/crates/prefixdevname
Source:         %{crates_source}
# can be generated with make vendor in the sources
Source:         %{crate}-%{version}-vendor.tar.gz
# Upstream PR (https://github.com/msekletar/prefixdevname/pull/29)
Patch0001:      0001-Drop-unnecessary-cast.patch

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging >= 23
%endif
BuildRequires:  pkgconfig(libudev)
%if %{with check}
BuildRequires:  umockdev-devel
%endif
# Tests fail on i686 but this package is not multilib so let's not build for this arch 
ExcludeArch:    %{ix86}

%global _description %{expand:
Udev helper utility that provides network interface naming using user defined prefix.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%if 0%{?rhel}
%license cargo-vendor.txt
%endif
%doc README.md
%{_prefix}/lib/udev/prefixdevname
%{_prefix}/lib/udev/rules.d/71-prefixdevname.rules
%{_prefix}/lib/dracut/modules.d/71prefixdevname/
%{_prefix}/lib/dracut/modules.d/71prefixdevname-tools/

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1 %{?rhel:-a1}
%if 0%{?rhel}
%cargo_prep -v vendor
rm -f Cargo.lock
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%if 0%{?rhel}
%cargo_vendor_manifest
%endif

%install
%make_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Nov 26 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 0.2.0-4
- Rebuilt for MSVSphere 10

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 0.2.0-4
- Bump release for October 2024 mass rebuild:

* Tue Aug 20 2024 Michal Sekletar <msekleta@redhat.com> - 0.2.0-3
- Add gating configuration

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 0.2.0-2
- Bump release for June 2024 mass rebuild

* Fri May 17 2024 Michal Sekletar <msekleta@redhat.com> - 0.2.0-1
- Initial import for CentOS Stream 10
## END: Generated by rpmautospec
